%bcond_with bootstrap

%define major 5
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %name
%define sdevelname %mklibname -d -s %name

Summary:	Type 1 font rasterizer
Name:		t1lib
Epoch:		1
Version:	5.1.2
Release:	%mkrel 23
License:	LGPLv2+
Group:		System/Libraries
URL:		ftp://sunsite.unc.edu/pub/Linux/libs/graphics/
Source:		ftp://sunsite.unc.edu/pub/Linux/libs/graphics/%{name}-%{version}.tar.gz
Patch1:		%{name}-doc.patch
Patch2:         %{name}-config.patch
# http://qa.mandriva.com/show_bug.cgi?id=34223
Patch3:         t1lib-5.1.2-ub-CVE-2007-4033.patch
Patch4:		t1lib-5.1.2-lib-cleanup.patch
Patch5:		t1lib-5.1.2-segf.patch
Patch6:		t1lib-5.1.2-format_not_a_string_literal_and_no_format_arguments.diff
Patch7:         t1lib-5.1.2-CVE-2010-2642,CVE-2011-0433.diff
Patch8:         t1lib-5.1.2-CVE-2011-0764,1552,1553,1554.diff
BuildRequires:	pkgconfig(x11) 
BuildRequires:	pkgconfig(xpm) 
BuildRequires:	pkgconfig(xt) 
BuildRequires:	pkgconfig(xaw7)
%if %{without bootstrap}
BuildRequires:  texlive
BuildRequires:  texlive-texmf
%endif

%description
T1lib is a library for generating character and string-glyphs from
Adobe Type 1 fonts under UNIX. T1lib uses most of the code of the X11
rasterizer donated by IBM to the X11-project. But some disadvantages
of the rasterizer being included in X11 have been eliminated.  T1lib
also includes a support for antialiasing.

%package -n %{libname}
Summary: 	Type 1 font rasterizer
Group: 		System/Libraries
Obsoletes: 	%{name} < %version-%release
Provides: 	%{name} = %version-%release
Obsoletes:	%{mklibname name 1}
Provides:	%{name}1 = %version-%release
Provides:	lib%{name} = %version-%release
Requires:	%{name}-config

%description -n %{libname}
T1lib is a library for generating character and string-glyphs from
Adobe Type 1 fonts under UNIX. T1lib uses most of the code of the X11
rasterizer donated by IBM to the X11-project. But some disadvantages
of the rasterizer being included in X11 have been eliminated.  T1lib
also includes a support for antialiasing.

%package -n %{develname}
Summary: 	Header files for Type 1 font rasterizer
Group: 		Development/C
Requires: 	%{libname} = %{epoch}:%{version}-%{release}
Obsoletes: 	%{name}-devel
Provides: 	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d t1lib 1}
Obsoletes:	%{mklibname -d t1lib 5}
Provides:	%{name}1-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname} 
Header files required for compiling packages needing the t1lib.

%package -n %{sdevelname}
Summary:        Static libraries for Type 1 font rasterizer
Group:          Development/C
Requires:       %{develname} = %{epoch}:%{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Obsoletes:	%{name}1-static-devel
Obsoletes:      %{mklibname -s -d t1lib 1}
Obsoletes:      %{mklibname -s -d t1lib 5}
Provides:	%{name}1-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}

%description -n %{sdevelname}
Static libraries required for staticaly compiling packages needing the
t1lib.

%package -n %{name}-progs
Summary: 	Programs dor manipulating Type 1 font
Group: 		Graphics/Utilities
License: 	GPL
Obsoletes:	%{name}1-progs
Provides:	%{name}1-progs

%description -n %{name}-progs
The t1lib-progs contains the programs "xglyph" and "type1afm" It also
contains the "t1libconfig" script used to configure t1lib.

%package -n %{name}-config
Summary:	Configuration for %name
Group:		Graphics/Utilities

%description -n %{name}-config
The t1lib-config contains configuration files for t1lib library

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch4 -p1 -b .lib-cleanup
%patch5 -p1 -b .fix-segfault
%patch6 -p1 -b .format_not_a_string_literal_and_no_format_arguments
%patch7 -p1 -b .CVE-2010-2642
%patch8 -p1 -b .CVE-2011-0764.

%build
%configure
perl -pi -e 's,-DGLOBAL_CONFIG_DIR="\\"/usr/share/t1lib\\"",-DGLOBAL_CONFIG_DIR="\\"/etc/t1lib\\"",;' Makefile
make without_doc

%if %{without bootstrap}
(cd doc
make clean
make pdf)
%endif

%install
%make_install

rm -f %buildroot%_libdir/*.la

mkdir -p %buildroot/%{_sysconfdir}/t1lib
mv %buildroot/%{_datadir}/t1lib/t1lib.config %buildroot/%{_sysconfdir}/t1lib

%ifarch alpha
(cd %buildroot/%{_libdir}
ln -sf libt1.so libt1.so.0)
%endif

%files -n %{libname}
%dir %{_sysconfdir}/t1lib
%doc Changes LGPL README.t1*
%attr(0755,root,root) %{_libdir}/libt1*.so.%{major}*

%files -n %{develname}
%doc doc/t1lib_doc.pdf
%{_includedir}/*
%{_libdir}/*.so

%files -n %{sdevelname}
%{_libdir}/*.a

%files -n %{name}-progs
%doc README.t1python
%attr(0755,root,root) %{_bindir}/*

%files -n %{name}-config
%config(noreplace) %{_sysconfdir}/t1lib/t1lib.config



%changelog
* Thu Aug 06 2020 joequant <joequant> 1:5.1.2-23.mga8
+ Revision: 1611428
- revert arm64

* Fri Feb 14 2020 umeabot <umeabot> 1:5.1.2-22.mga8
+ Revision: 1517362
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1:5.1.2-21.mga7
+ Revision: 1301301
- Mageia 7 Mass Rebuild

* Mon Jul 16 2018 pterjan <pterjan> 1:5.1.2-20.mga7
+ Revision: 1243841
- Rebuild for aarch64 fixes

* Fri Feb 05 2016 umeabot <umeabot> 1:5.1.2-19.mga6
+ Revision: 936613
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:5.1.2-18.mga5
+ Revision: 741356
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1:5.1.2-16.mga4
+ Revision: 540876
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 luigiwalser <luigiwalser> 1:5.1.2-15.mga4
+ Revision: 494397
- update texlive BRs

* Mon Jan 14 2013 umeabot <umeabot> 1:5.1.2-14.mga3
+ Revision: 383991
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Sat Dec 08 2012 malo <malo> 1:5.1.2-13.mga3
+ Revision: 328915
- update RPM group

* Sat Jan 14 2012 fwang <fwang> 1:5.1.2-12.mga2
+ Revision: 195984
- add upstream patch to fix several CVE issues (bug#4103)

* Tue Jan 03 2012 mikala <mikala> 1:5.1.2-11.mga2
+ Revision: 189854
- Add patch8 to fix CVE-2011-0764
- sync with mandriva security team work (disable patch3)

* Mon Jan 02 2012 mikala <mikala> 1:5.1.2-10.mga2
+ Revision: 189694
- Add patch7 to fix CVE-2010-2642 ( mga #3994)
- remove BuildRoot,%%clean section & %%defattr()

* Thu Sep 29 2011 fwang <fwang> 1:5.1.2-9.mga2
+ Revision: 150346
- drop .la files
- tighten br

* Fri Jan 14 2011 mikala <mikala> 1:5.1.2-9.mga1
+ Revision: 17717
- Drop mdk macros
- imported package t1lib

